Skip to main content
DELETE
/
v0
/
accounts
/
{id}
/
entity_relationships
/
{entity_id}
Delete account entity relationship
curl --request DELETE \
  --url https://api.sandbox.lead.bank/v0/accounts/{id}/entity_relationships/{entity_id} \
  --header 'Authorization: Bearer <token>'
{ "objects": [ { "entity_id": "entity_xyz123", "relationship_type": "account_holder" } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.lead.bank/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Account ID The ID of the Account object.

Pattern: ^account_\w+$
Example:

"account_xyz123"

entity_id
string
required

Entity ID to remove from the account relationships The ID of your entity.

Pattern: ^entity_[^\s]{1,33}$
Example:

"entity_xyz123"

Query Parameters

relationship_type
enum<string>
required

The specific relationship type to delete for the entity. Indicates the type of Entity

Available options:
account_holder,
authorized_signer,
authorized_user

Response

Entity relationship deleted successfully. Returns the updated list of entity relationships for the account.

objects
object[]
required